Subject: Bacopa Summer Snow

From: Robert Commagere <[email-masked]>
Date: Wed, 31 Jul 1996 12:57:24 -0700

I just bought a plant called "Bacopa Summer Snow." It is a small bushy 
plant with small white flowers. Looks like it could be a good ground 
cover.

I have not been able to find the name in any encyclopedia or book on 
plants other than an aquatic plant of the genus Bacopa. This plant does 
not look related to any aquatic plant I've seen.

Any help on identifying the scientific name of this plant will be greatly 
appreciated.

Please reply via e-mail.

Thank you

Robert Commagere
[email-masked]